Package org.opencv.core

## Class Rect

- java.lang.Object
- - org.opencv.core.Rect

-     public class Rect
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `height` |
    `int` | `width` |
    `int` | `x` |
    `int` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rect()` |
    `Rect​(double[] vals)` |
    `Rect​(int x, int y, int width, int height)` |
    `Rect​(Point p1, Point p2)` |
    `Rect​(Point p, Size s)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `area()` |
    `Point` | `br()` |
    `Rect` | `clone()` |
    `boolean` | `contains​(Point p)` |
    `boolean` | `empty()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `void` | `set​(double[] vals)` |
    `Size` | `size()` |
    `Point` | `tl()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

    - #### y

          public int y

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### Rect

          public Rect​(int x,
                      int y,
                      int width,
                      int height)

    - #### Rect

          public Rect()

    - #### Rect

          public Rect​(Point p1,
                      Point p2)

    - #### Rect

          public Rect​(Point p,
                      Size s)

    - #### Rect

          public Rect​(double[] vals)

  - ### Method Detail

    - #### set

          public void set​(double[] vals)

    - #### clone

          public Rect clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### tl

          public Point tl()

    - #### br

          public Point br()

    - #### size

          public Size size()

    - #### area

          public double area()

    - #### empty

          public boolean empty()

    - #### contains

          public boolean contains​(Point p)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`